<?php

/*
Name:    gduc_Units: Length
Version: 2.0
Author:  Milan Petrovic
Email:   milan@gdragon.info
Website: http://www.dev4press.com/
Info:    http://en.wikipedia.org/wiki/Unit_conversion
*/

$gduc_unit_loading = array(
    'name' => __("Volume", "gd-unit-converter"),
    'base' => 'l',
    'display' => array(
        'dm3' => 'dm&sup3;',
        'mm3' => 'mm&sup3;',
        'm3' => 'm&sup3;',
        'km3' => 'km&sup3;',
        'cup/us' => 'cup',
        'tablespoon/us' => 'tablespoon',
        'teaspoon/us' => 'teaspoon',
        'barrel/us/petroleum' => 'barrel',
        'gallon/us' => 'gallon',
        'quart/us' => 'quart',
        'pint/us' => 'pint',
        'barrel/us/dry' => 'barrel',
        'bushel/us' => 'bushel',
        'gallon/us/dry' => 'gallon',
        'quart/us/dry' => 'quart',
        'pint/us/dry' => 'pint',
        'bushel/uk' => 'bushel',
        'gallon/uk' => 'gallon',
        'quart/uk' => 'quart',
        'pint/uk' => 'pint',
    ),
    'list' => array(
        'l' => __("Liter", "gd-unit-converter"),
        'dl' => __("Deciliter", "gd-unit-converter"),
        'cl' => __("Centiliter", "gd-unit-converter"),
        'ml' => __("Milliliter", "gd-unit-converter"),
        'ul' => __("Microliter", "gd-unit-converter"),
        'decl' => __("Decaliter", "gd-unit-converter"),
        'hl' => __("Hectoliter", "gd-unit-converter"),
        'dm3' => __("Cubic Decimeter", "gd-unit-converter"),
        'cc' => __("Cubic Centimeter", "gd-unit-converter"),
        'mm3' => __("Cubic Millimeter", "gd-unit-converter"),
        'm3' => __("Cubic Meter", "gd-unit-converter"),
        'km3' => __("Cubic Kilometer", "gd-unit-converter"),
        'cup' => __("Cup", "gd-unit-converter"),
        'tablespoon' => __("Table spoon", "gd-unit-converter"),
        'teaspoon' => __("Teas spoon", "gd-unit-converter"),
        'cup/us' => __("Cup / US", "gd-unit-converter"),
        'tablespoon/us' => __("Table spoon / US", "gd-unit-converter"),
        'teaspoon/us' => __("Teas spoon / US", "gd-unit-converter"),
        'barrel/us/petroleum' => __("Barrel Petroleum / US", "gd-unit-converter"),
        'gallon/us' => __("Gallon / US", "gd-unit-converter"),
        'quart/us' => __("Quart / US", "gd-unit-converter"),
        'pint/us' => __("Pint / US", "gd-unit-converter"),
        'barrel/us/dry' => __("Barrel Dry / US", "gd-unit-converter"),
        'bushel/us' => __("Bushel / US", "gd-unit-converter"),
        'gallon/us/dry' => __("Gallon Dry / US", "gd-unit-converter"),
        'quart/us/dry' => __("Quart Dry / US", "gd-unit-converter"),
        'pint/us/dry' => __("Pint Dry / US", "gd-unit-converter"),
        'bushel/uk' => __("Bushel / UK", "gd-unit-converter"),
        'gallon/uk' => __("Gallon / UK", "gd-unit-converter"),
        'quart/uk' => __("Quart / UK", "gd-unit-converter"),
        'pint/uk' => __("Pint / UK", "gd-unit-converter"),
    ),
    'convert' => array(
        'l' => 1,
        'dl' => 10,
        'cl' => 100,
        'ml' => 1000,
        'ul' => 1000000,
        'decl' => 0.1,
        'hl' => 0.01,
        'dm3' => 1,
        'cc' => 1000,
        'mm3' => 1000000,
        'm3' => 0.001,
        'km3' => 0.000000000001,
        'cup' => 4.167,
        'tablespoon' => 66.67,
        'teaspoon' => 200,
        'cup/us' => 4.227,
        'tablespoon/us' => 67.63,
        'teaspoon/us' => 202.9,
        'barrel/us/petroleum' => 0.00629,
        'gallon/us' => 0.2642,
        'quart/us' => 1.057,
        'pint/us' => 2.113,
        'barrel/us/dry' => 0.008648,
        'bushel/us' => 0.02838,
        'gallon/us/dry' => 0.227,
        'quart/us/dry' => 0.9081,
        'pint/us/dry' => 1.816,
        'bushel/uk' => 0.0275,
        'gallon/uk' => 0.22,
        'quart/uk' => 0.8799,
        'pint/uk' => 1.76,
    )
);

?>